# CUpti_GetCubinCrcParams Struct Reference
[CUPTI PC Sampling API]

Params for cuptiGetCubinCrc.

## Data Fields
const void * | cubin
uint64_t | cubinCrc
size_t | cubinSize
size_t | size

## Field Documentation

const void* CUpti_GetCubinCrcParams::cubin

[w] Pointer to cubin binary

uint64_t CUpti_GetCubinCrcParams::cubinCrc

[r] Computed CRC will be stored in it.

size_t CUpti_GetCubinCrcParams::cubinSize

[w] Size of cubin binary.

size_t CUpti_GetCubinCrcParams::size

[w] Size of configuration structure. CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.